function ret_val = cameraConfigEqual(lhs, rhs)
  % cameraConfigEqual
  %   Test whether camera configurations are equal
  %
  % Inputs:
  %   lhs - CameraConfig - First camera config
  %   rhs - CameraConfig - Second camera config
  %
  % Output:
  %   ret_val - logical - Camera configurations are equal
  %

  ret_val = tof.mex('tof_camera_config_equal', lhs.get_object_ptr(), rhs.get_object_ptr());
end

