function ret_val = createCsfWriterReader(file_location, reader)
  % createCsfWriterReader
  %   Create csf writer from csf reader
  %
  % Inputs:
  %   file_location - string - Path to where the csf file should be created
  %   reader - CsfReader - A csf reader
  %
  % Output:
  %   ret_val - CsfWriter - csf writer
  %

  ret_val = tof.mex('tof_create_csf_writer_reader', file_location, reader.get_object_ptr());
  ret_val = tof.CsfWriter(ret_val);
end

